linux-ti-omap4: 2.6.38-1209.15 -proposed tracker

Bug #837761 reported by Herton R. Krzesinski on 2011-08-31
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
ubuntu-armel-kernel
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
Tobin Davis
Security-signoff
Undecided
Marc Deslauriers
Upload-to-ppa-dnu
Undecided
Canonical Kernel Team
Verification-testing
Undecided
ubuntu-armel-kernel
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-prepare-start:Wednesday, 31. August 2011 00:16 UTC
kernel-stable-certification-end:Wednesday, 31. August 2011 00:31 UTC
kernel-stable-Certification-testing-end:Wednesday, 31. August 2011 14:16 UTC
kernel-stable-Prepare-package-end:Thursday, 01. September 2011 07:01 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 01. September 2011 07:01 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 01. September 2011 10:46 UTC
kernel-stable-Verification-testing-start:Thursday, 01. September 2011 10:46 UTC
kernel-stable-Prepare-package-start:Wednesday, 31. August 2011 00:16 UTC
kernel-stable-Security-signoff-start:Wednesday, 14. September 2011 15:45 UTC
kernel-stable-Verification-testing-end:Wednesday, 14. September 2011 15:45 UTC
kernel-stable-Regression-testing-start:Wednesday, 14. September 2011 15:45 UTC
kernel-stable-Regression-testing-end:Wednesday, 14. September 2011 16:45 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 14. September 2011 19:30 UTC
kernel-stable-Security-signoff-end:Wednesday, 14. September 2011 19:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 21. September 2011 06:45 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 21. September 2011 06:45 UTC

This tracking bug was opened to be worked from linux-2.6.38-11.49 update (bug 836903)

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-ti-omap4 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress
description: updated
Paolo Pisati (p-pisati) on 2011-08-31
summary: - linux-ti-omap4: <version to be filled> -proposed tracker
+ linux-ti-omap4: 2.6.38-1209.15-proposed tracker

Please pull from here:

git://kernel.ubuntu.com/ppisati/ubuntu-natty.git ti-omap4

Paolo Pisati (p-pisati) on 2011-08-31
summary: - linux-ti-omap4: 2.6.38-1209.15-proposed tracker
+ linux-ti-omap4: 2.6.38-1209.15 -proposed tracker
description: updated
Herton R. Krzesinski (herton) wrote :

Note: there is no linux-meta-ti-omap4 with abi == 1209 in natty or in -updates, but there is one in -proposed already (2.6.38.1209.7 version in -proposed). When this goes to be copied to updates, the -meta already available in -proposed should be copied as well.

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2011-09-01
Changed in linux-ti-omap4 (Ubuntu):
status: In Progress → Invalid
description: updated
Steve Conklin (sconklin) on 2011-09-01
description: updated
Herton R. Krzesinski (herton) wrote :

The following bugs will show as unverified on the SRU report page for ti-omap4 package. That's fine, they are either unrelated to
arm/ti-omap4, or are bugs where fixes happened before the kernel freeze for natty (not under the SRU process), thus no verification is needed for them: 698006, 745213, 741516, 751033, 746652, 750585, 746259, 731878, 745181, 748656, 752870, 663090, 720949, 729085, 740011, 745358.

Also, these bugs are not related to the kernel, and should be ignored from the SRU report: 5521, 5523

Everything else is verified or cve fixes, nothing pending. Setting Verification-testing to Fix Released

description: updated
Tobin Davis (gruemaster) on 2011-09-14
tags: added: qa-testing-passed
description: updated
Marc Deslauriers (mdeslaur) wrote :

Looks good, thanks.

description: updated
Launchpad Janitor (janitor) wrote :
Download full text (38.0 KiB)

This bug was fixed in the package linux-ti-omap4 - 2.6.38-1209.15

---------------
linux-ti-omap4 (2.6.38-1209.15) natty-proposed; urgency=low

  * Release tracking bug
    - LP: #837761

  [ Paolo Pisati ]

  * [Config] Turn on CONFIG_USER_NS and DEVPTS_MULTIPLE_INSTANCES.
    - LP: #787749

  [ Tim Gardner ]

  * [Config] Add enic/fnic to nic-modules udeb, CVE-2011-1020
    - LP: #801610

  [ Upstream Kernel Changes ]

  * mpt2sas: prevent heap overflows and unchecked reads
    - LP: #780546
  * agp: fix arbitrary kernel memory writes
    - LP: #775809
  * can: add missing socket check in can/raw release
    - LP: #780546
  * agp: fix OOM and buffer overflow
    - LP: #775809
  * bonding: Incorrect TX queue offset, CVE-2011-1581
    - LP: #792312
    - CVE-2011-1581
  * fs/partitions/efi.c: corrupted GUID partition tables can cause kernel
    oops
    - LP: #795418
    - CVE-2011-1577
  * can: Add missing socket check in can/bcm release.
    - LP: #796502
    - CVE-2011-1598
  * USB: ehci: remove structure packing from ehci_def
    - LP: #791552
  * taskstats: don't allow duplicate entries in listener mode,
    CVE-2011-2484
    - LP: #806390
    - CVE-2011-2484
  * ext4: init timer earlier to avoid a kernel panic in __save_error_info,
    CVE-2011-2493
    - LP: #806929
    - CVE-2011-2493
  * dccp: handle invalid feature options length, CVE-2011-1770
    - LP: #806375
    - CVE-2011-1770
  * pagemap: close races with suid execve, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * report errors in /proc/*/*map* sanely, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * close race in /proc/*/environ, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * auxv: require the target to be tracable (or yourself), CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * deal with races in /proc/*/{syscall, stack, personality}, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * rose: Add length checks to CALL_REQUEST parsing, CVE-2011-1493
    - LP: #816550
    - CVE-2011-1493
  * GFS2: make sure fallocate bytes is a multiple of blksize, CVE-2011-2689
    - LP: #819572
    - CVE-2011-2689
  * Bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace.
    - LP: #819569
    - CVE-2011-2492
  * Add mount option to check uid of device being mounted = expect uid,
    CVE-2011-1833
    - LP: #732628
    - CVE-2011-1833
  * ipv6: make fragment identifications less predictable, CVE-2011-2699
    - LP: #827685
    - CVE-2011-2699
  * perf: Fix software event overflow, CVE-2011-2918
    - LP: #834121
    - CVE-2011-2918
  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020

linux-ti-omap4 (2.6.38-1209.13) natty; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #772381

  [ Brad Figg ]

  * Ubuntu-2.6.38-9.43

  [ Bryan Wu ]

  * merge Ubuntu-2.6.38-9.43
  * cherry-pick 6 patches from u2 of 'for-ubuntu' branch
  * [Config] Sync up configs for 2.6.38.4

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: Revert "x86, hibernate: Initialize mmu_cr4_features during boot"
    - LP: #764758

  [ Leann Ogasawara ]

  * [Config] updateconfigs for 2.6.38.4

  [ Paolo Pisati ]

  * [Conf...

Changed in linux-ti-omap4 (Ubuntu Natty):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers